org.codehaus.plexus.digest

## Class Hex

- java.lang.Object
- - org.codehaus.plexus.digest.Hex

    public class Hex
    extends Object

Hex - simple hex conversions.

Version:
  $Id: Hex.java 4525 2006-10-25 14:48:46Z joakime $

### Constructor Summary

Constructors
Constructor and Description
`Hex()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `encode(byte[] data)`
`static String` `encode(String raw)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Hex

    public Hex()

### Method Detail

#### encode

    public static String encode(byte[] data)

#### encode

    public static String encode(String raw)